Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.impl.xades.impl
Class XadesBesSpecification

    java.lang.Object
      be.fgov.ehealth.technicalconnector.signature.impl.xades.impl.XadesBesSpecification

All Implemented Interfaces:
  XadesSpecification

    public class XadesBesSpecification

extends Object
implements XadesSpecification

Field Summary

Fields inherited from interface be.fgov.ehealth.technicalconnector.signature.impl.xades.XadesSpecification
`XMLNS_XADES_1_3_2`

Constructor Summary
`XadesBesSpecification()`

Method Summary
`void` | `addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps, org.apache.xml.security.signature.XMLSignature sig, String uuid, Map<String,Object> options)`
`void` | `addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps, org.apache.xml.security.signature.XMLSignature sig, Credential signing, String uuid, Map<String,Object> options)`
`void` | `verify(SignatureVerificationResult result, Element sigElement)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XadesBesSpecification

    public XadesBesSpecification()

Method Detail

### addOptionalBeforeSignatureParts

    public void addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps,
                                                org.apache.xml.security.signature.XMLSignature sig,
                                                Credential signing,
                                                String uuid,
                                                Map<String,Object> options)
                                         throws TechnicalConnectorException

  Specified by:
    `addOptionalBeforeSignatureParts` in interface `XadesSpecification`
  Throws:
    `TechnicalConnectorException`

### addOptionalAfterSignatureParts

    public void addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps,
                                               org.apache.xml.security.signature.XMLSignature sig,
                                               String uuid,
                                               Map<String,Object> options)
                                        throws TechnicalConnectorException

  Specified by:
    `addOptionalAfterSignatureParts` in interface `XadesSpecification`
  Throws:
    `TechnicalConnectorException`

### verify

    public void verify(SignatureVerificationResult result,
                       Element sigElement)

  Specified by:
    `verify` in interface `XadesSpecification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.